%def_disable static

Name: howl
Version: 1.0.0
Release: alt1

Summary: Cross platform implementation of Zeroconf/Rendezvous
License: BSD style + APSL
Group: Networking/Other
Url: http://www.porchdogsoft.com/products/howl/

Source: http://www.porchdogsoft.com/download/howl-%version.tar.gz
Source1: mDNSResponder.init
Source2: nifd.init
Source3: mDNSResponder.conf

Patch: howl-0.9.5-libdir.patch
Patch1: howl-pkgconfig.patch
Patch2: howl-am.patch

PreReq: lib%name = %version-%release

# Automatically added by buildreq on Wed Jun 08 2005
BuildRequires: gcc-c++ gcc-g77 libg2c-devel libstdc++-devel

%description 
Branded as Rendezvous by Apple Computer, Inc., Zeroconf standardizes
networking protocols for delivering hassle-free ad-hoc networking,
service discovery and IP configuration. This ease of use, enjoyed by
users of Mac OS X, is now available as an SDK for Windows 2000/XP and
many flavors of Unix.

%package -n lib%name
Summary: Howl shared library
Group: System/Libraries

%description -n lib%name
This package provides Howl shared library

%package -n lib%name-devel
Summary: Howl development files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel 
This package provides development files needed to build applications
with %name.

%package -n lib%name-devel-static
Summary: Howl static library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package provides static library needed to build statically linked
applications with %name.

%prep
%setup -q
%patch -p0
%patch1 -p1
%patch2 -p1
	
%build
%__libtoolize --copy --force
%__aclocal
%__automake -a -c -f
%__autoconf

%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install
%__install -pD %SOURCE1 %buildroot%_initdir/mDNSResponder
%__install -p %SOURCE2 %buildroot%_initdir/nifd
%__install -pD -m644 %SOURCE3 %buildroot%_sysconfdir/%name/mDNSResponder.conf

# fix up header file directory naming bug
%__mv %buildroot%_includedir/howl %buildroot%_includedir/howl-%version

# remove the samples
%__rm -f %buildroot%_bindir/mDNSBrowse
%__rm -f %buildroot%_bindir/mDNSPublish
%__rm -f %buildroot%_bindir/mDNSQuery
%__rm -f %buildroot%_bindir/mDNSResolve

%post -p "%post_service mDNSResponder"
%preun -p "%preun_service mDNSResponder"

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files 
%_bindir/autoipd
%_bindir/nifd
%_bindir/mDNSResponder
%_man8dir/*
%dir %_sysconfdir/howl
%_initdir/mDNSResponder
%_initdir/nifd
%config(noreplace) %_sysconfdir/%name/mDNSResponder.conf

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_datadir/howl

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Jun 08 2005 Victor Forsyuk <force@altlinux.ru> 1.0.0-alt1
- 1.0.0.
- License is in fact BSD style (portions are covered under the APSL).

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.6-alt2
- libhowl subpackage.
- fixed rpath problem.
- startup scripts rewriten but not tested.
- fixed %%post, %%preun.
- spec file cleanups and optimizations.

* Mon Oct 25 2004 Vital Khilko <vk@altlinux.ru> 0.9.6-alt1
- initial build
